<?php
class ADDON_CUPONS extends ISC_ADDON
{
	public function __construct()
	{
		parent::__construct();
		$this->SetId('addon_cupons');
		$this->SetName('Cupons de Desconto');
		$this->SetImage('');
		$this->SetHelpText('Sistema de Envio Automatico de Cupons de Desconto para Clientes que Compraram na Loja.<br>Para configurar o Cron/Agendador de Tarefa use os dados abaixo.<br>1 - Periodicidade use a cada 2 Horas.<br>2 - Url a ser Execultada sera '.GetConfig("ShopPath").'/modificacoes/croncupom.php<br>3 - Com os dados acima e só configurar seu Cpanel, Plesk ou outro painel.<br>Obs: O sistema envia cupons de desconto ao email do cliente, ponha os dados abaixo de acordo com o que desejar.');
	}

	public function SetCustomVars()
	{
		$this->_variables['ativar'] = array(
			'type' => 'dropdown',
			'name' => 'Ativar Cupons de Desconto?',
			'default' => 'sim',
			'options' => array(
				'SIM' => 'sim',
				'NAO' => 'nao'

			),
			"multiselect" => false,
			'required' => true
		);
		$this->_variables['desconto'] = array(
			'type' => 'text',
			'name' => '% Desconto do Cupom',
			'help' => '',
			'default' => '5',
			'required' => true
		);
		$this->_variables['minimo'] = array(
			'type' => 'text',
			'name' => 'Validos em Compra Acima de',
			'help' => '',
			'default' => '50.00',
			'required' => true
		);
		$this->_variables['validade'] = array(
			'type' => 'text',
			'name' => 'Cupom Validos por X Dias',
			'help' => '',
			'default' => '30',
			'required' => true
		);
	}


	public function Init()
	{

	}


	public function EntryPoint()
	{
	
    echo 'Modulo sem area interativa, apenas configure o mesmo.';
	}


}